
import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { SecurityCredentials } from '../models/security-credentials.interface';
import { SecurityResponse } from '../models/security-response.interface';
import { Observable } from 'rxjs';

@Injectable({providedIn: 'root'})
export class SecurityService {
  constructor(private http: HttpClient) { }

  URL_BASE: string = 'http://localhost:3000/';

  login(securityCredentials: SecurityCredentials): Observable<SecurityResponse> {
    return this.http.post<SecurityResponse>(this.URL_BASE + 'signin', securityCredentials);
  }
}
